#ifndef USER_H
#define USER_H

#include <QObject>
#include <QString>
#include <odb/core.hxx>

#pragma db object
class User : public QObject
{
    Q_OBJECT

public:
    User();

    int getId() const;
    void setId(int value);

    QString getLogin() const;
    void setLogin(const QString &value);

    QString getPassword() const;
    void setPassword(const QString &value);

private:
    friend class odb::access;

#pragma db id auto
    int id;
    QString login;
    QString password;
};

#endif // USER_H
